7.3. Audio MP3
Indietro | Capitolo 7. Multimedia | Avanti

## 7.3. Audio MP3

Contributo di Chern Lee.

Il formato MP3 (Audio MPEG Livello 3) raggiunge una qualità audio vicina a quella dei CD, non lasciandoti motivi per non utilizzarlo sulla tua workstation FreeBSD.

### 7.3.1. Lettori MP3

Da tempo, il più famoso lettore MP3 per X11 è XMMS (X Multimedia System). Le skin per Winamp possono essere usate con XMMS visto che la GUI è praticamente identica a quella di Winamp della Nullsoft. XMMS ha inoltre supporto nativo ai plug-in.

XMMS può essere installato dal port o dal package multimedia/xmms.

L'interfaccia di XMMS è intuitiva, comprende una lista di brani da eseguire, un equalizzatore grafico, ed altro. Coloro che sono familiari con Winamp troveranno XMMS semplice da usare.

Il port audio/mpg123 è un lettore MP3 alternativo, da riga di comando.

mpg123 può essere eseguito specificando il dispositivo audio e il nome del file MP3 sulla riga di comando, come mostrato qui sotto:

    # mpg123 -a /dev/dsp1.0 Foobar-GreatestHits.mp3
    High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2 and 3.
    Version 0.59r (1999/Jun/15). Written and copyrights by Michael Hipp.
    Uses code from various people. See 'README' for more!
    THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!

    Playing MPEG stream from Foobar-GreatestHits.mp3 ...
    MPEG 1.0 layer III, 128 kbit/s, 44100 Hz joint-stereo

`/dev/dsp1.0` deve essere sostituito con il dispositivo `dsp` presente sul tuo sistema.

### 7.3.2. Estrazione delle Tracce Audio dei CD

Prima di codificare un CD o una traccia di CD in MP3, i dati audio sul CD devono essere estratti sul disco fisso. Questo avviene copiando direttamente i dati CDDA (CD Digital Audio) in file WAV.

Il tool `cdda2wav`, che fa parte della suite sysutils/cdrtools, viene usato per estrarre le informazioni audio dai CD e i dati associati.

Mentre il CD audio è nel lettore, può essere eseguito il seguente comando (come `root`) per estrarre un intero CD in singoli (per traccia) file WAV:

    # cdda2wav -D 0,1,0 -B

cdda2wav supporta anche i lettori CDROM ATAPI (IDE). Per estrarre da un lettore IDE, specifica il nome del dispositivo al posto nel numero dell'unità SCSI. Ad esempio, per estrarre la traccia 7 dal lettore IDE:

    # cdda2wav -D /dev/acd0 -t 7

Il `-D `0,1,0`` indica il dispositivo SCSI `0,1,0`, che corrisponde all'output di `cdrecord -scanbus`.

Per estrarre tracce singole, usa l'opzione `-t` come mostrato:

    # cdda2wav -D 0,1,0 -t 7

Questo esempio estrae la settima traccia del CD audio. Per estrarre una serie di tracce, per esempio dalla traccia uno alla sette, specifica un intervallo:

    # cdda2wav -D 0,1,0 -t 1+7

L'utility dd(1) può anche essere usata per estrarre le tracce audio dai drive ATAPI, leggi Sezione 18.5.3, «Duplicating Audio CDs» per maggiori informazioni su questa possibilità.

### 7.3.3. Codifica in MP3

Al giorno d'oggi, il programma di codifica in mp3 da scegliere è lame. Lame può essere trovato in audio/lame nell'albero dei port.

Usando i file WAV estratti, il seguente comando convertirà `audio01.wav` in `audio01.mp3`:

    # lame -h -b 128 \
    --tt "Titolo" \
    --ta "Artista" \
    --tl "Album" \
    --ty "2002" \
    --tc "Estratto e codificato da Blah" \
    --tg "Genere" \
    audio01.wav audio01.mp3

128 kbits sembra essere il bitrate standard in uso per gli MP3. Molti preferiscono la qualità maggiore dei 160, o 192. Più alto è il bitrate, più spazio consumerà l'MP3 risultante--ma la qualità sarà maggiore. L'opzione `-h` attiva il modo «qualità migliore ma un po' più lento"». Le opzioni che iniziano con `--t` indicano i tag ID3, che solitamente contengono le informazioni sulla canzone, da inserire all'interno del file MP3. Ulteriori opzioni di codifica possono essere trovate consultando la pagina man di lame.

### 7.3.4. Decodifica da MP3

Per masterizzare un CD audio partendo dagli MP3, questi ultimi devono essere convertiti in un formato WAV non compresso. Sia XMMS che mpg123 supportano l'output di un MP3 in un formato non compresso.

Scrittura su Disco con XMMS:

1. Avvia XMMS.

2. Clicca con il tasto destro sulla finestra per far comparire il menu di XMMS.

3. Seleziona `Preference` sotto `Options`.

4. Cambia l'Output Plugin in «Disk Writer Plugin».

5. Premi `Configure`.

6. Inserisci (o scegli browse) la directory in cui salvare i file decompressi.

7. Carica il file MP3 in XMMS come al solito, con il volume al 100% e le impostazioni dell'equalizzatore disattivate.

8. Premi `Play` - XMMS apparirà come se stesse riproducendo l'MP3, ma non si sentirà nessuna musica. Sta riproducendo la musica su un file.

9. Assicurati di reimpostare l'Output Plugin di default come prima per ascoltare nuovamente gli MP3.

Scrittura su stdout con mpg123:

- Esegui `mpg123 -s audio01.mp3 > audio01.pcm`

XMMS scrive un file nel formato WAV, mentre mpg123 converte l'MP3 direttamente in dati audio PCM. Entrambi questi formati possono essere usati con cdrecord per creare CD audio. Devi utilizzare PCM con burncd(8). Se usi file WAV, noterai un breve ticchettio all'inizio di ogni traccia, questo suono è l'intestazione del file WAV. Puoi semplicemente rimuovere l'intestazione del file WAV con l'utility SoX (può essere installata dal port o dal package audio/sox):

    % sox -t wav -r 44100 -s -w -c 2 track.wav track.raw

Leggi Sezione 18.5, «Creating and Using Optical Media (CDs & DVDs)» per ulteriori informazioni su come usare un masterizzatore con FreeBSD.

Indietro | Risali | Avanti
7.2. Configurazione della Scheda Audio | Partenza | 7.4. Riproduzione Video

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.